Package org.opensaml.core.xml.schema.impl

# Class XSStringImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.core.xml.schema.impl.XSStringImpl

All Implemented Interfaces:
  `XSString`, `XMLObject`

Direct Known Subclasses:
  `AbstractNameIDType`, `ActionImpl`, `ActionImpl`, `ArtifactImpl`, `AssertionArtifactImpl`, `AssertionIDReferenceImpl`, `AssertionIDRefImpl`, `BinaryExchangeImpl`, `CarriedKeyNameImpl`, `ChallengeImpl`, `CompanyImpl`, `DerivedKeyNameImpl`, `DomainHintImpl`, `EncTypeImpl`, `FaultStringImpl`, `GivenNameImpl`, `IdReferenceTypeImpl`, `IPHintImpl`, `KeyNameImpl`, `LocalizedNameImpl`, `MasterKeyNameImpl`, `MgmtDataImpl`, `NameIdentifierImpl`, `NewIDImpl`, `ReasonImpl`, `RelayStateImpl`, `SessionIndexImpl`, `SourceIDImpl`, `StatusMessageImpl`, `StatusMessageImpl`, `SurNameImpl`, `TelephoneNumberImpl`, `X509IssuerNameImpl`, `X509SubjectNameImpl`, `XPathImpl`

public class XSStringImpl extends AbstractXMLObject implements XSString
Concrete implementation of `XSString`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`value`
Value of this string element.

### Fields inherited from interface org.opensaml.core.xml.schema.XSString

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`XSStringImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getValue()`
Gets the string.
`void`
`setValue(String newValue)`
Sets the string.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### value

@Nullable private String value
Value of this string element.

## Constructor Details

### XSStringImpl

protected XSStringImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getValue

@Nullable public String getValue()
Gets the string.

Specified by:
  `getValue` in interface `XSString`
Returns:
  the string

### setValue

public void setValue(@Nullable String newValue)
Sets the string.

Specified by:
  `setValue` in interface `XSString`
Parameters:
  `newValue` - the string value

### getOrderedChildren

@Nullable @Unmodifiable @NotLive public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements